<button
  mat-stroked-button
  class="expand-button"
  [ngClass]="{'highlight-expansion-button-background': selected}"
  (click)="onToggleClicked($event)"
  [disabled]="disabled">
  <ng-container [ngSwitch]="expansionState">
    <mat-icon *ngSwitchCase="'collapsed'">chevron_right</mat-icon>
    <mat-icon *ngSwitchCase="'expanded'">expand_more</mat-icon>
    <mat-icon *ngSwitchDefault>expand_more</mat-icon>
  </ng-container>
</button>
